Skip to content

Fetch API (v3.0: 3.27.0.2)

For differences between versions, see Changelog.

REST API logo


Download OpenAPI description
Overview
API Support Group
License
Languages
Servers
Production server
https://fetch.yellowdogsoftware.com/api/v3

Accounting Export Reports that can be consumed by 3rd Party accounting systems

Operations

Items and Recipes are able to have images associated to them.

Operations

A dynamic list of Items that are designed to aide with physical inventories. Countsheets are based on a static list of items, Levels, and Flags

Operations

Operations used to manage currency conversion for the database. These are used when multiple currencies are used in a database.

Operations

Attributes that are available for assigning to an Item. Attributes can be like a Size or Color.

Operations

Flags allow you to indicate storage locations, making ordering and physical inventories easier.

Operations

Item Inventory OnHand information.

Operations
Operations

UPCs or additional SKUs to for an Item.

Operations

Product information that is tracked in Yellow Dog Inventory.

Operations

A Manual Adjustment will affect an Item's OnHand.

Operations

Database specific configuration information

Operations

Get all Meta Information for YDI Interface

Request

In Yellow Dog, the user is able to configure the Names that are used on buttons to make the user interface more friendly for their particular use. This endpoint will display the values of these name changes.

Common examples of this are:

  • Dimension 1 is named Size in the Yellow Dog Interface, Dimension 1 (Size) will be index 0 of the dimensions array.
  • Flag is named Location
Security
Auth API User Token
curl -i -X GET \
  https://fetch.yellowdogsoftware.com/api/v3/metainfo \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
dimensionsArray of strings or null
genericInterfacesCodesArray of strings or nullread-only
genericInterfacesLevelsArray of strings or nullread-only
levelsArray of strings or nullread-only
webItemFlagsArray of strings or nullread-only
storestring or null
manufacturerstring or null
vendorstring or null
flagstring or null
Response
application/json
{ "dimensions": [ "string" ], "genericInterfacesCodes": [ "string" ], "genericInterfacesLevels": [ "string" ], "levels": [ "string" ], "webItemFlags": [ "string" ], "store": "string", "manufacturer": "string", "vendor": "string", "flag": "string" }

Collections of production groups.

Operations

A Purchasing document

Operations
Operations

Collections of items and recipes, with quantities, that are used to create other items.

Operations

Collections of RecipeTypes.

Operations

A requisition for purchasing or transfering an item.

Operations

Associate a count to an Item, these sessions can be used for Purchasing Documents or Physical Inventories.

Operations

Business Entities or locations of a single business entity that need to maintain their own inventory records.

Operations

Additional configuration options that control item, store or level behavior with third-party integrations

Operations

Third Party Mappings with Yellow Dog Inventory

Operations

Records that increment or decrement inventory based on customer interactions with a store

Operations

Records that increment or decrement inventory based on customer interactions with a store

Operations

A record of movement of Items from one Store to another.

Operations

Vendors, Suppliers, Distributors, or Manufacturors that provide Items into the Inventory.

Operations